Bug 151338 - [PATCH] devel/upnp - update to 1.6.7
[PATCH] devel/upnp - update to 1.6.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-09 12:40 UTC by c0rn
Modified: 2010-10-19 13:06 UTC (History)
0 users

See Also:


Attachments
upnp-1.6.7,1.patch (3.18 KB, patch)
2010-10-09 12:40 UTC, c0rn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c0rn 2010-10-09 12:40:01 UTC

- update to version 1.6.7
- grab maintainership
- mark MAKE_JOBS_SAFE
- add LICENSE info
Comment 1 Wen Heping freebsd_committer 2010-10-14 01:49:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 swell.k 2010-10-14 04:05:06 UTC
- drop libtool dependency, builds fine without it and was added most
  likely by accident in r1.22
- drop USE_DOS2UNIX, no longer needed
- remove CONFLICTS, the port for upnp104 no longer exist
- replace gnomehack with short and clear sed(1) line[1] (cosmetic)
- move LICENSE a bit closer to the maintainer section (cosmetic)
- add LICENSE_FILE, no reason to be wary of `LICENSE' file
  since ports/148808 was committed

[1] this also reduces the bloat of having to include bsd.gnome.mk

--- a.diff begins here ---
diff --git devel/upnp/Makefile devel/upnp/Makefile
index b7b680a..fd8016d 100644
--- devel/upnp/Makefile
+++ devel/upnp/Makefile
@@ -15,17 +15,15 @@ DISTNAME=	lib${PORTNAME}-${PORTVERSION}
 MAINTAINER=	c0rn@o2.pl
 COMMENT=	Universal Plug and Play Software Development Kit
 
-CONFLICTS=	upnp-1.0.*
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
 USE_BZIP2=	yes
-USE_AUTOTOOLS=	libtool:22
 GNU_CONFIGURE=	yes
-USE_GNOME=	gnomehack
-USE_DOS2UNIX=	yes
+
 USE_LDCONFIG=	yes
 MAKE_JOBS_SAFE=	yes
 
-LICENSE=	BSD
-
 CONFIGURE_ENV+=	PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
 		PTHREAD_LIBS="${PTHREAD_LIBS}"
 
@@ -37,4 +35,8 @@ CONFIGURE_ARGS=	--with-documentation=${DOCSDIR}
 PORTDOCS=	*
 .endif
 
+post-patch:	.SILENT
+	${REINPLACE_CMD} '/^pkgconfigexecdir/s|$$(libdir)|$$(prefix)/libdata|' \
+		${WRKSRC}/Makefile.in
+
 .include <bsd.port.mk>
--- a.diff ends here ---
Comment 3 dfilter freebsd_committer 2010-10-19 11:56:05 UTC
wen         2010-10-19 10:55:59 UTC

  FreeBSD ports repository

  Modified files:
    devel/upnp           Makefile distinfo pkg-plist 
    devel/upnp/files     patch-libupnp.pc.in 
  Log:
  - Update to 1.6.7 [1]
  - Pass mainatinaership to submitter [1]
  - Mark MAKE_JOBS_SAFE [1]
  - Add LICENSE_FILE [2]
  - Drop libtool dependency [2]
  - Drop USE_DOS2UNIX [2]
  - Remove CONFLICTS [2]
  - Replace gnomehack with short and clear sed line [2]
  
  PR:             ports/151338
  Submitted by:   "Pawel Pekala" <c0rn@o2.pl> [1],
                  Anonymous <swell.k@gmail.com> [2]
  
  Revision  Changes    Path
  1.29      +10 -6     ports/devel/upnp/Makefile
  1.15      +3 -3      ports/devel/upnp/distinfo
  1.2       +4 -4      ports/devel/upnp/files/patch-libupnp.pc.in
  1.13      +5 -1      ports/devel/upnp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2010-10-19 13:06:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!